Subject: [BEHAVE] draft-ietf-behave-ftp64-06.txt

From: Iljitsch van Beijnum <[email-masked]>
Date: Thu, 4 Nov 2010 17:49:20 +0100

Hi,

I finished an update of the ftp64 draft. I implemented all the suggestions from the chairs with the exceptions listed in my messages from yesterday. I've gone over spelling and grammar, as far as I'm concerned, this version is ready to go to IETF last call and then the RFC editor.

I did change a few minor things such as a MUST to a SHOULD once or twice and I removed this text because I believe it's not true, the source port numbers on the client's side should be sufficient to demultiplex:

Note that if multiple clients are using the same IPv6-to-IPv4 translator to communicate with the same FTP server, and for each client the IPv6-to-IPv4 translator uses the same source address on its IPv4 side, it may not be possible to correlate incoming FTP data channel sessions with the intended IPv6 host unambiguously. In such cases, the IPv6-to-IPv4 translator SHOULD refuse the connection establishment attempt by returning a TCP reset packet.

However, draft submissions are closed until next week so I'll be posting the draft then. If you can't wait that long:

http://www.muada.com/drafts/draft-ietf-behave-ftp64-06.txt

For those of you going to China: enjoy! I'll be sitting this one out. I'll try to be in the jabber room an listen in in order to answer any questions during the BEHAVE session.